import request from '@/utils/request'

// 查询项目分值列表
export function listScoreproject(query) {
  return request({
    url: '/gxt/scoreproject/list',
    method: 'get',
    params: query
  })
}

// 查询项目分值详细
export function getScoreproject(id) {
  return request({
    url: '/gxt/scoreproject/' + id,
    method: 'get'
  })
}

// 新增项目分值
export function addScoreproject(data) {
  return request({
    url: '/gxt/scoreproject',
    method: 'post',
    data: data
  })
}

// 修改项目分值
export function updateScoreproject(data) {
  return request({
    url: '/gxt/scoreproject',
    method: 'put',
    data: data
  })
}

// 删除项目分值
export function delScoreproject(id) {
  return request({
    url: '/gxt/scoreproject/' + id,
    method: 'delete'
  })
}

// 导出项目分值
export function exportScoreproject(query) {
  return request({
    url: '/gxt/scoreproject/export',
    method: 'post',
    data: query,
    responseType: 'blob'
  })
}

// 获取导出字段
export function getExportFields() {
  return request({
    url: '/gxt/scoreproject/exportFields',
    method: 'get'
  })
}